%{?optflags_lto:%global optflags_lto %optflags_lto -ffat-lto-objects}
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/ccache gcc-c++ libc++abi-devel libqt4-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This is an only devel package:
%define debug_package	%{nil}

Name:		vc
Version:	1.4.4
Release:	alt1_1
Summary:	Ease explicit vectorization of C++ code
License:	BSD
Group:		Development/C++
Url:		https://github.com/VcDevel/Vc
Source0:	https://github.com/VcDevel/Vc/releases/download/%{version}/Vc-%{version}.tar.gz

BuildRequires:	ccmake cmake ctest
Source44: import.info

%description
Vc is a free software library to ease explicit vectorization of C++ code.
It has an intuitive API and provides portability between different
compilers and compiler versions as well as portability between different
vector instruction sets.

%prep
%setup -qn Vc-%{version}


%build
%{mageia_cmake} -DBUILD_TESTING=OFF
%mageia_cmake_build

%install
%mageia_cmake_install

%files
%{_includedir}/Vc/
%{_libdir}/libVc.a
%{_libdir}/cmake/Vc/


%changelog
* Thu Nov 23 2023 Igor Vlasenko <viy@altlinux.org> 1.4.4-alt1_1
- update by mgaimport

* Fri Sep 30 2022 Igor Vlasenko <viy@altlinux.org> 1.4.3-alt1_1
- update by mgaimport

* Sat Apr 16 2022 Igor Vlasenko <viy@altlinux.org> 1.4.1-alt1_3
- update by mgaimport

* Mon Jul 05 2021 Igor Vlasenko <viy@altlinux.org> 1.4.1-alt1_2
- update by mgaimport

* Mon May 17 2021 Igor Vlasenko <viy@altlinux.org> 1.4.1-alt1_1
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.3.3-alt1_4
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.3.3-alt1_3
- update by mgaimport

* Fri May 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.3.3-alt1_2
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.3.0-alt1_1
- new version

